<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 18 20:28:05 EEST 2020 -->
<title>C-Index</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Model/menuitems/BaseProduct.html#calculatePrice--">calculatePrice()</a></span> - Method in class Model.menuitems.<a href="../Model/menuitems/BaseProduct.html" title="class in Model.menuitems">BaseProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/CompositeProduct.html#calculatePrice--">calculatePrice()</a></span> - Method in class Model.menuitems.<a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/MenuItem.html#calculatePrice--">calculatePrice()</a></span> - Method in interface Model.menuitems.<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Model/Chef.html" title="class in Model"><span class="typeNameLink">Chef</span></a> - Class in <a href="../Model/package-summary.html">Model</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Chef.html#Chef-java.lang.String-java.lang.String-">Chef(String, String)</a></span> - Constructor for class Model.<a href="../Model/Chef.html" title="class in Model">Chef</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../View/MainView.html#chefAddListener-java.awt.event.ActionListener-">chefAddListener(ActionListener)</a></span> - Method in class View.<a href="../View/MainView.html" title="class in View">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../View/ChefGUI.html" title="class in View"><span class="typeNameLink">ChefGUI</span></a> - Class in <a href="../View/package-summary.html">View</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../View/ChefGUI.html#ChefGUI-Model.Restaurant-">ChefGUI(Restaurant)</a></span> - Constructor for class View.<a href="../View/ChefGUI.html" title="class in View">ChefGUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems"><span class="typeNameLink">CompositeProduct</span></a> - Class in <a href="../Model/menuitems/package-summary.html">Model.menuitems</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/menuitems/CompositeProduct.html#CompositeProduct--">CompositeProduct()</a></span> - Constructor for class Model.menuitems.<a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Controller/package-summary.html">Controller</a> - package Controller</dt>
<dd>&nbsp;</dd>
<dt><a href="../Controller/Controller.html" title="class in Controller"><span class="typeNameLink">Controller</span></a> - Class in <a href="../Controller/package-summary.html">Controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Controller/Controller.html#Controller-View.MainView-View.AdminGUI-View.ChefGUI-View.WaiterGUI-">Controller(MainView, AdminGUI, ChefGUI, WaiterGUI)</a></span> - Constructor for class Controller.<a href="../Controller/Controller.html" title="class in Controller">Controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#createMenuItem-Model.menuitems.MenuItem-">createMenuItem(MenuItem)</a></span> - Method in interface Model.<a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Restaurant.html#createMenuItem-Model.menuitems.MenuItem-">createMenuItem(MenuItem)</a></span> - Method in class Model.<a href="../Model/Restaurant.html" title="class in Model">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/IRestaurantProcessing.html#createNewOrder-int-java.lang.String-int-Model.menuitems.CompositeProduct-">createNewOrder(int, String, int, CompositeProduct)</a></span> - Method in interface Model.<a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Model/Restaurant.html#createNewOrder-int-java.lang.String-int-Model.menuitems.CompositeProduct-">createNewOrder(int, String, int, CompositeProduct)</a></span> - Method in class Model.<a href="../Model/Restaurant.html" title="class in Model">Restaurant</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
